## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream test directory is empty.
%bcond_with     tests

%global         srcname     grpc-google-iam-v1
%global         forgeurl    https://github.com/googleapis/python-grpc-google-iam-v1
Version:        0.14.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        GRPC library for the google-iam-v1 service

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
The IDL-derived library for the google-iam (v1) service in Google Cloud.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup


%generate_buildrequires
%pyproject_buildrequires -x testing


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Thu Jan 02 2025 Packit <hello@packit.dev> - 0.14.0-1
- Update to 0.14.0 upstream release
- Resolves: rhbz#2293968

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.13.0-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Dec 13 2023 Major Hayden <major@redhat.com> - 0.13.0-2
- Skip import check, remove nspkg file

* Thu Dec 07 2023 Packit <hello@packit.dev> - 0.13.0-1
- [packit] 0.13.0 upstream release
- Resolves rhbz#2253513

* Tue Nov 14 2023 Major Hayden <major@redhat.com> - 0.12.7-1
- Update to 0.12.7 rhbz#2248963

* Tue Nov 14 2023 Major Hayden <major@redhat.com> - 0.12.6-5
- Add packit config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 26 2023 Python Maint <python-maint@redhat.com> - 0.12.6-3
- Rebuilt for Python 3.12

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 0.12.6-2
- Set SPDX license

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 0.12.6-1
- Re-enable tests

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 0.12.4-7
- Rebuilt for Python 3.11

* Thu Jun 02 2022 Major Hayden <major@redhat.com> - 0.12.4-6
- Use forge macros for source

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.4-5
- Don’t use deprecated zero-argument pypi_source

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.4-4
- Drop “-r” from pyproject_buildrequires

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.4-3
- Stop explicitly listing the LICENSE file

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.4-2
- Add import-only “smoke test”

* Thu Apr 14 2022 Major Hayden <major@mhtx.net> - 0.12.4-1
- Update to 0.12.4

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 0.12.3-2
- Move to rpmautospec

* Tue Aug 24 2021 Major Hayden <major@mhtx.net> - 0.12.3-1
- Initial import (#1996870)
## END: Generated by rpmautospec
